# Abstract Settings

Abstract Settings

## Gets all of the abstract settings in the system.

 - [GET /abstractSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/listabstractsettings.md): This method will scan all abstract settings and and return them to the caller.

## Creates a new abstract setting record that does not already exist.

 - [POST /abstractSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/createabstractsetting.md): This method will auto-generate an ID and create a new abstract setting. If an ID is specified for the abstract setting, an error will be thrown.

## Execute Batch Operations

 - [POST /abstractSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a abstract setting from the system by its ID.

 - [DELETE /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/deleteabstractsetting.md): This method will delete a abstract setting with the specified ID.

## Returns a abstract setting from the system by its ID.

 - [GET /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/getabstractsetting.md): This method will look up a abstract setting by the specified ID and return it back.

## Partially updates a abstract setting with the specified ID.

 - [PATCH /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/patchabstractsetting.md): This method will patch an existing abstract setting with the specified ID, using the HTTP PATCH specification.

## Updates a abstract setting with the specified ID.

 - [PUT /abstractSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/abstract-settings/updateabstractsetting.md): This method will update an existing abstract setting with the specified ID.

